help=false;
skipping=false;
close=false;
loadresource("data\\7\\11\\numbers.png","numbers",1001);

loadresource("data\\7\\11\\indicator.png","indicator",1004);

loadresource("data\\7\\11\\btn.png","btn",1007);

loadresource("data\\7\\11\\bg.png","bg",1010);
loadresource("data\\7\\11\\bg1.jpg","bg1",1011);
loadresource("data\\7\\11\\bg2.png","bg2",1012);

loadresource("data\\7\\11\\blank.png","blank",1013);
loadresource("data\\7\\11\\passkey.png","passkey",1014);
loadresource("data\\7\\11\\handle.png","handle",1015);
loadresource("data\\7\\11\\handle1.png","handle1",1016);
loadresource("data\\7\\11\\for_whisky.png","for_whisky",1017);
loadresource("data\\7\\11\\for_blank.jpg","for_blank",1018);
loadresource("data\\7\\11\\handle2.png","handle2",1019);

set_activ_free_leaf("mini");	

SkipX=580;
SkipY=580;

addstaticobjecttogame(5001,"skip",SkipX+10,SkipY,"",8,33,140,33);
addactivobjecttogame(5000,"skip",SkipX,SkipY,"","",0,0,0,0,193,33);
speciale_action(10,5001);
addtexttogame(5100,SkipX+150,SkipY+3,"5000"); 
setcolor(5100,1,1,1,1,1);
speciale_action(4,5100);

addactivobjecttogame(6000,"buttons",100,578,"","",0,0,783,975,34,34);

if not flags.whisky or flags.gamecomplete then
	HideSkipBtn ()	
end;

if  flags.whisky  then
	StartProgress(5001,30,true)
end;

if flags.gamecomplete then
	speciale_action(2,6000)
end;
addactivobjecttogame(1041,"btn",757,77,"","",0,0,0,0,25,25,0);
-- addactivobjecttogame(1039,"btn",757,77,"","",0,0,25,0,25,25,0);
-- addactivobjecttogame(1040,"btn",757,77,"","",0,0,50,0,25,25,0);

addstaticobjecttogame(1051,"btn",679,338,"",0,63,30,23);
addstaticobjecttogame(1052,"btn",641,338,"",0,63,30,23);
addstaticobjecttogame(1053,"btn",604,338,"",0,63,30,23);
addstaticobjecttogame(1054,"btn",566,338,"",0,63,30,23);
addstaticobjecttogame(1055,"btn",528,338,"",0,63,30,23);


addstaticobjecttogame(1056,"btn",678,287,"",0,40,30,23);
addstaticobjecttogame(1057,"btn",640,287,"",0,40,30,23);
addstaticobjecttogame(1058,"btn",603,287,"",0,40,30,23);
addstaticobjecttogame(1059,"btn",566,287,"",0,40,30,23);
addstaticobjecttogame(1060,"btn",528,287,"",0,40,30,23);



addactivobjecttogame(1011,"btn",677,334,"","",0,0,30,40,38,31);
addactivobjecttogame(1012,"btn",639,334,"","",0,0,30,40,38,31);
addactivobjecttogame(1013,"btn",602,336,"","",0,0,30,40,38,31);
addactivobjecttogame(1014,"btn",564,335,"","",0,0,30,40,38,31);
addactivobjecttogame(1015,"btn",526,335,"","",0,0,30,40,38,31);

addactivobjecttogame(1016,"btn",677,284,"","",0,0,68,40,38,31);
addactivobjecttogame(1017,"btn",639,284,"","",0,0,68,40,38,31);
addactivobjecttogame(1018,"btn",601,284,"","",0,0,68,40,38,31);
addactivobjecttogame(1019,"btn",564,284,"","",0,0,68,40,38,31);
addactivobjecttogame(1020,"btn",526,284,"","",0,0,68,40,38,31);


addstaticobjecttogame(1036,"numbers",679,309,"");
set_obj_size(1036,20,31);
addstaticobjecttogame(1037,"numbers",641,309,"");
set_obj_size(1037,20,31);
addstaticobjecttogame(1038,"numbers",605,309,"");
set_obj_size(1038,20,31);
addstaticobjecttogame(1039,"numbers",567,309,"");
set_obj_size(1039,20,31);
addstaticobjecttogame(1040,"numbers",531,309,"");
set_obj_size(1040,20,31);


addstaticobjecttogame(1004,"indicator",669,299,"");
set_obj_size(1004,50,50);
addstaticobjecttogame(1005,"indicator",631,299,"");
set_obj_size(1005,50,50);
addstaticobjecttogame(1006,"indicator",595,299,"");
set_obj_size(1006,50,50);
addstaticobjecttogame(1007,"indicator",557,299,"");
set_obj_size(1007,50,50);
addstaticobjecttogame(1008,"indicator",521,299,"");
set_obj_size(1008,50,50);


addstaticobjecttogame(1031,"bg1",454,376,"",0,0,263,34);
addactivobjecttogame(1032,"handle1",239,260,"","");
speciale_action(2,1032);
addactivobjecttogame(1046,"handle2",239,260,"","");
speciale_action(2,1046);
addactivobjecttogame(1033,"handle",221,256,"","");
addactivobjecttogame(1034,"passkey",521,468,"","");
speciale_action(2,1034);
addactivobjecttogame(1035,"blank",515,465,"","");
speciale_action(2,1035);

addactivobjecttogame(1042,"for_blank",508,457,"","",0,0,0,0,242,47);
addstaticobjecttogame(1043,"bg2",533,307,"");
addactivobjecttogame(1044,"for_whisky",578,245,"","");


addstaticobjecttogame(1045,"bg",79,53,"");

if flags.whisky then
for i=1051,1060,1 do
speciale_action(2,i);
end;
end;
if not flags.whisky then
for i=1011,1020,1 do
speciale_action(2,i);
end;
end;	

		
	

for i=1004,1045,1 do
  if i<=1011 and i>=1020 and i~=1034 and i~=1035 then
	speciale_action(2,i);
  end;
end;

if flags.blank1 or flags.blank2  then
	if flags.readypasskey then
		speciale_action(2,1034);
	return;end;
		speciale_action(2,1035);
return;end;